package app

import (
	"net/http"

	"jnc-server/app/main/api/internal/logic/app"
	"jnc-server/app/main/api/internal/svc"
	"jnc-server/common/result"
)

func GetAppConfigHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := app.NewGetAppConfigLogic(r.Context(), svcCtx)
		resp, err := l.GetAppConfig()
		result.HttpResult(r, w, resp, err)
	}
}
